### Method

# Shumate DataSourceRequest emit_data

since: 1.1

#### Declaration [src]

    void
    shumate_data_source_request_emit_data (
      ShumateDataSourceRequest* self,
      GBytes* data,
      gboolean complete
    )

#### Description [src]

Emits tile data as a response to the request. This sets the `ShumateDataSourceRequest:data` property.

If `complete` is `TRUE`, then `ShumateDataSourceRequest:completed` is set to `TRUE` as well.

Available since: 1.1

#### Parameters

`data`

  Type: `GBytes`

  The data to emit.

  The data is owned by the caller of the method.

`complete`

  Type: `gboolean`

  `TRUE` to also complete the request, `FALSE` otherwise.